<?php
 //определение mime-type
function mime($file){
  $pathinfo = pathinfo($file);
  $ext=strtolower($pathinfo['extension']);
  switch($ext){
    case '3gp':  return 'video/3gpp';
    case 'aac':  return 'audio/aac';
    case 'amr':  return 'audio/amr';
    case 'art':  return 'image/x-jg';
    case 'avi':  return 'video/x-msvideo';
    case 'awb':  return 'audio/amr-wb';
    case 'bmp':  return 'image/bmp';
    case 'bmx':  return 'image/bmp';
    case 'cab':  return 'application/vnd.ms-cab-compressed';
    case 'exe':  return 'application/octet-stream';
    case 'gif':  return 'image/gif';
    case 'jad':  return 'text/vnd.sun.j2me.app-descriptor';
    case 'jar':  return 'application/java-archive';
    case 'jpeg': return 'image/jpeg';
    case 'jpg':  return 'image/jpeg';
    case 'mbm':  return 'image/x-epoc-mbm';
    case 'mid':  return 'audio/mid';
    case 'midi': return 'audio/mid';
    case 'mmf':  return 'application/vnd.smaf';
    case 'mp3':  return 'audio/mpeg';
    case 'mp4':  return 'video/mp4';
    case 'mpe':  return 'video/mpeg';
    case 'mpeg': return 'video/mpeg';
    case 'mpg':  return 'video/mpeg';
    case 'mpn':  return 'application/vnd.mophun.application';
    case 'n3a':  return 'image/vnd.nok-3dscreensaver';
    case 'nok':  return 'image/vnd.nok-oplogo-colornokia-op-logo';
    case 'nth':  return 'application/vnd.nok-s40theme';
    case 'rar':  return 'application/x-rar-compressed';
    case 'rng':  return 'application/vnd.Nokie.ringing-tone';
    case 'rmf':  return 'audio/rmf';
    case 'scs':  return 'application/vnd.siemens-mp.skin';
    case 'sdt':  return 'application/vnd.siemens-mp.theme';
    case 'sis':  return 'application/vnd.symbian.install';
    case 'sisx': return 'application/octet-stream';
    case 'tiff': return 'image/tiff';
    case 'txt':  return 'text/plain';
    case 'wav':  return 'audio/x-wav';
    case 'wbmp': return 'image/vnd.wap.wbmp';
    case 'wma':  return 'audio/x-ms-wma';
    case 'wmv':  return 'video/x-ms-wmv';
    case 'zip':  return 'application/x-zip';
  }
}
?>