#список пользователей
CREATE TABLE IF NOT EXISTS `user` (
  `id` int(11) NOT NULL auto_increment,
  `login` text NOT NULL,                     #логин
  `pass` text NOT NULL,                      #пароль
  `email` text NOT NULL,                     #e-mail
  `timereg` int(11) NOT NULL,                #дата регистрации
  `timeact` int(11) NOT NULL,                #время последней активности

#статистика
  `exp` int(11) NOT NULL default '0',        #очки опыта
  `level` int(11) NOT NULL default '0',      #уровень прав пользователя 0- пользователь 5- админ
  `sumforum` int(11) NOT NULL default '0',   #кол-во сообщений на форуме

#личные данные
  `d` int(11) NOT NULL,                      #день рождения
  `m` int(11) NOT NULL,                      #месяц рождения
  `y` int(11) NOT NULL,                      #год рождения

#мобильный телефон
  `tel` bigint(20) NOT NULL,                    #номер мобильного телефона

#настройки
  `style` text NOT NULL,                     #стиль
  `onpage` int(11) NOT NULL default '10',    #кол-во элементов на страницу
  `avatar` int(11) NOT NULL default '0',     #аватар (id из фотоальбома)


#анкета
  `v_email` enum('0','1') default '0',       #скрывать e-mail 0-да 1-нет
  `v_birthday` enum('0','1') default '0',    #скрывать день рождения 0-да 1-нет

  `my_uvl` text NOT NULL,                    #увлечения
  `my_about` text NOT NULL,                  #о себе
  `my_contact` text NOT NULL,                #контакты



  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;
